<template>
  <div>
    <el-form class="search-form" :model="form" ref="form" label-width="80px" :inline="true" size="mini">
      <el-form-item label="操作对象" >
        <el-select v-model="form.sex" placeholder="请选择操作对象">
          <el-option v-for="(val, key) in sexOptions"
            :key="val"
            :label="val"
            :value="key">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item label="操作内容">
        <el-input v-model="form.name"></el-input>
      </el-form-item>
      <el-form-item label="操作结果">
        <el-select v-model="form.sex" placeholder="请选择操作结果">
          <el-option v-for="(val, key) in sexOptions"
            :key="val"
            :label="val"
            :value="key">
          </el-option>
        </el-select>
      </el-form-item>
      <el-form-item>
        <el-button type="success"  @click="toSearch">查询</el-button>
        <el-button type="primary"  @click="reset">重置</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>

<script>

export default {
  name: 'search',
  data() {
    return {
      sexOptions: [],
      form: formInit()
    }
  },
  computed: {
  },
  methods: {
    toSearch() {
      this.$emit('search', this.form)
    },
    reset() {
      this.form = formInit()
    }
  }
}

function formInit() {
  return {
    department_id: [],
    name: '',
    sex: null,
  }
}
</script>
<style scoped lang="scss">
.w200 {
  width: 200px;
}
.search-form {
  padding: 10px;
  background-color: #EAF1FE;
  margin-bottom: 20px;
  border-radius: 8px;
  .el-form-item--mini.el-form-item, .el-form-item--small.el-form-item {
    margin-bottom: 0;
  }
}
</style>